DriveType (install4j API)
Description: declaration: package: com.install4j.api.windows, enum: DriveType

Package com.install4j.api.windows

# Enum Class DriveType

java.lang.Object
java.lang.Enum<DriveType>
com.install4j.api.windows.DriveType

All Implemented Interfaces:
  `Serializable`, `Comparable<DriveType>`, `Constable`

public enum DriveType extends Enum<DriveType>
Enumeration class for the different drive types a file can be located on.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CDROM`
  A CD-ROM.
  `FIXED`
  A fixed (local) drive.
  `RAMDISK`
  A ram disk.
  `REMOTE`
  A remote (network) drive.
  `REMOVABLE`
  A removable drive.
  `UNKNOWN`
  The drive type could not be determined.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DriveType`
  `getFromIntValue(int value)`
  Convert int value to constant.
  `int`
  `getIntValue()`
  Convert to an int value.
  `String`
  `toString()`
  `static DriveType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static DriveType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### UNKNOWN

    public static final DriveType UNKNOWN
    The drive type could not be determined.

  - ### REMOVABLE

    public static final DriveType REMOVABLE
    A removable drive.

  - ### FIXED

    public static final DriveType FIXED
    A fixed (local) drive.

  - ### REMOTE

    public static final DriveType REMOTE
    A remote (network) drive.

  - ### CDROM

    public static final DriveType CDROM
    A CD-ROM.

  - ### RAMDISK

    public static final DriveType RAMDISK
    A ram disk.

- ## Method Details

  - ### values

    public static DriveType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static DriveType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getFromIntValue

    public static DriveType getFromIntValue(int value)
    Convert int value to constant.
    Parameters:
      `value` - the int value
    Returns:
      the constant

  - ### getIntValue

    public int getIntValue()
    Convert to an int value.
    Returns:
      the int value

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Enum<DriveType>`